管理员

PATCH /oneaster/v1/admin/channels/{id}

Update supported channels fields; preserve other native configuration

PATCH/oneaster/v1/admin/channels/{id}

身份验证

Authorizationstring必填

使用登录取得的 native access_token(部分接口支持带对应权限的 PAT);身份要求:管理员。

Authorization: Bearer $ONEASTER_ACCESS_TOKEN

参数

idstring必填

path

请求正文 · application/json

namestring
keystring
modelsstring
groupstring
base_urlstring,null
tagstring,null
remarkstring,null
test_modelstring,null
typeinteger
weightinteger
priorityinteger
auto_baninteger
openai_organizationstring,null
JSON Schema
{
  "type": "object",
  "description": "Creation requires type/name/key/models/group. Native string/JSON-string forms. Credentials and opaque configuration are write-only; status uses dedicated route.",
  "properties": {
    "name": {
      "type": "string",
      "writeOnly": false
    },
    "key": {
      "type": "string",
      "writeOnly": true
    },
    "models": {
      "type": "string",
      "writeOnly": false
    },
    "group": {
      "type": "string",
      "writeOnly": false
    },
    "base_url": {
      "type": [
        "string",
        "null"
      ],
      "writeOnly": false
    },
    "tag": {
      "type": [
        "string",
        "null"
      ],
      "writeOnly": false
    },
    "remark": {
      "type": [
        "string",
        "null"
      ],
      "writeOnly": false
    },
    "test_model": {
      "type": [
        "string",
        "null"
      ],
      "writeOnly": false
    },
    "type": {
      "type": "integer"
    },
    "weight": {
      "type": "integer"
    },
    "priority": {
      "type": "integer"
    },
    "auto_ban": {
      "type": "integer"
    },
    "openai_organization": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "additionalProperties": false
}